## ocp-indent 1.4.2

=== Makefile ===
-include Makefile.config

byte = _obuild/ocp-indent/ocp-indent.byte
native = _obuild/ocp-indent/ocp-indent.asm
manpage = man/man1/ocp-indent.1

OCPBUILD_ARGS =

.PHONY: $(native) $(byte)

all: ocp-indent $(manpage)
	@

ocp-indent: $(native)
	cp $^ ocp-indent

ALWAYS:

$(byte) byte: ocp-build.root ALWAYS
	ocp-build $(OCPBUILD_ARGS)

$(native) native asm: ocp-build.root ALWAYS
	ocp-build $(OCPBUILD_ARGS)

.PHONY: man
man: $(manpage)
$(manpage): ocp-indent
	mkdir -p $(@D)
	./ocp-indent --help=groff >$@

bootstrap: ocp-indent
	./ocp-indent -c match_clause=4 --inplace src/*.mli src/*.ml

sanitize:
	ocp-build -sanitize $(OCPBUILD_ARGS)

.PHONY: clean
clean:
	ocp-build -clean $(OCPBUILD_ARGS)

.PHONY: distclean
distclean:
	ocp-build -clean $(OCPBUILD_ARGS)
	rm -rf _build _obuild
	rm -f configure Makefile.config config.* ocp-build.root* version.ocp

.PHONY: install
install: ocp-indent $(manpage)
	opam-installer --prefix $(prefix) ocp-indent.install
	@echo
	@echo
	@echo "=== ocp-indent installed ==="
	@echo
	@echo "To setup tuareg-mode to use ocp-indent, please add the following"
	@echo "to your .emacs :"
	@echo
	@if [ "$(prefix)" != "/usr" ]; then \
	  echo "  (add-to-list 'load-path \"$(datarootdir)/emacs/site-lisp\")"; \
	fi
	@echo " (require 'ocp-indent)"
	@echo
	@echo "Vim users are welcome to add the following to their .vimrc :"
	@echo
	@echo "  ocaml source $(datarootdir)/vim/syntax/ocp-indent.vim"
	@echo

.PHONY: uninstall
uninstall:
	rm $(datarootdir)/emacs/site-lisp/ocp-indent.el
	rm $(datarootdir)/vim/syntax/ocp-indent.vim
	opam-installer --uninstall --prefix $(prefix) ocp-indent.install

.PHONY: test
test: ocp-indent
	./tests/test.sh

configure: configure.ac
	aclocal -I m4
	autoconf

version.ocp: configure.ac
	@echo "version.ocp not up-to-date, please rerun ./configure"
	@exit 1

ocp-build.root: version.ocp
	@if (ocp-build -version 2>/dev/null |\
	     awk -F'.' '{ exit $$1 > 1 || ($$1 == 1 && $$2 >= 99) }'); then \
	  echo "Error: you need ocp-build >= 1.99." >&2;\
	  exit 1;\
	fi
	ocp-build -init $(OCPBUILD_ARGS)

=== debian/changelog ===
ocp-indent (1.4.2-1) unstable; urgency=low

  * New upstream version
  * remove Makefile.simple patch because applied upstream
  * fix syntax error introduced into Makefile.simple by new patch
       -> debian/patches/fix-Makefile.simple-syntax-error
  * remove approx_common from being required in Makefile.simple
       -> debian/patches/remove-approx_common-from-Makefile.simple
  * do not build native versions on systems without ocamlopt
       -> debian/patches/let-Makefile.simple-respect-OCAML_HAVE_OCAMLOPT
  * add dynlink and findlib to ocamlbuild invocation for ocp-indent
    executable
  * use OCAMLINIT_SED functionality of dh_ocamlinit to prefix lines in
    *.install.in files with DYN and OPT to selectively include files
  * add libfindlib-ocaml-dev to Build-Depends

 -- Johannes Schauer <j.schauer@email.de>  Sat, 13 Sep 2014 11:10:27 +0200

ocp-indent (1.4.1-2) unstable; urgency=medium

  * do not call dh_auto_clean on Makefile.simple but clean manually
    because Makefile.simple does not have a distclean target
  * Fix debian/copyright - thanks, Andreas Cadhalpun

 -- Johannes Schauer <j.schauer@email.de>  Wed, 13 Aug 2014 23:44:33 +0200

ocp-indent (1.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #735884)

 -- Johannes Schauer <j.schauer@email.de>  Sat, 18 Jan 2014 07:14:09 +0100

=== debian/control ===
Source: ocp-indent
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Johannes Schauer <j.schauer@email.de>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml,
 ocaml-findlib,
 ocaml-nox,
 libcmdliner-ocaml-dev,
 libfindlib-ocaml-dev
Standards-Version: 3.9.5
Section: ocaml
Homepage: http://www.typerex.org/ocp-indent.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocp-indent.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocp-indent.git

Package: ocp-indent
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml indentation tool for emacs and vim - runtime
 ocp-indent is a command-line tool that allows one to indent a whole OCaml
 source code file (or parts of it) either to standard output or in-place.
 A configuration file allows user defaults as well as per-project parameters.
 The ratio of correctly indented lines is comparable with emacs tuareg mode
 while being an order of magnitude faster.
 .
 This package includes the runtime binary and the vim and emacs extensions.

# redundant "lib" but we want to keep compatibility with upstream
Package: libocp-indent-lib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml indentation tool for emacs and vim - libraries
 ocp-indent is a command-line tool that allows one to indent a whole OCaml
 source code file (or parts of it) either to standard output or in-place.
 A configuration file allows user defaults as well as per-project parameters.
 The ratio of correctly indented lines is comparable with emacs tuareg mode
 while being an order of magnitude faster.
 .
 This package includes the shared libraries.

Package: libocp-indent-lib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml indentation tool for emacs and vim - development libraries
 ocp-indent is a command-line tool that allows one to indent a whole OCaml
 source code file (or parts of it) either to standard output or in-place.
 A configuration file allows user defaults as well as per-project parameters.
 The ratio of correctly indented lines is comparable with emacs tuareg mode
 while being an order of magnitude faster.
 .
 This package includes the development libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAML_HAVE_OCAMLOPT

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	INDENTMAIN = src/indentMain.native
else
	INDENTMAIN = src/indentMain.byte
endif

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	rm -f config.status config.log Makefile.config version.ocp
	rm -f $(INDENTMAIN) ocp-indent.1 src/approx_lexer.mli src/util.mli
	rm -f src/indentVersion.ml src/approx_common.ml src/compat.ml
	rm -rf META _build

override_dh_auto_build:
	# build library
	dh_auto_build -- -f Makefile.simple
	# build ocp-indent program
	ocamlbuild -use-ocamlfind -package findlib -package dynlink -package cmdliner $(INDENTMAIN)
	# build man page
	_build/$(INDENTMAIN) --help=groff > ocp-indent.1
	# create the mli for util.ml and approx_lexer.mll
	ocamlc -i src/util.ml > src/util.mli
	ocamlc -I _build/src -i _build/src/approx_lexer.ml > src/approx_lexer.mli

# skip because requires source directory to be git repository
override_dh_auto_test:

override_dh_install:
	dh_install --fail-missing

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	mkdir -p $(DESTDIR)/usr/bin
	cp _build/$(INDENTMAIN) $(DESTDIR)/usr/bin/ocp-indent
	mkdir -p $(DESTDIR)/usr/share/emacs/site-lisp
	cp tools/ocp-indent.el $(DESTDIR)/usr/share/emacs/site-lisp/ocp-indent.el
	mkdir -p $(DESTDIR)/usr/share/vim/addons/syntax
	cp tools/ocp-indent.vim $(DESTDIR)/usr/share/vim/addons/syntax/ocp-indent.vim
	dh_auto_install -- -f Makefile.simple

## ocp-indent 1.5

=== debian/changelog ===
ocp-indent (1.5-2build1) wily; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 16:50:45 +0200

ocp-indent (1.5-2) unstable; urgency=medium

  * add Christopher Zimmerman to d/copyright, install vim plugin in different
    path and update its usage instructions (closes: #783869)

 -- Johannes Schauer <josch@debian.org>  Tue, 09 Jun 2015 07:29:39 +0200

ocp-indent (1.5-1) unstable; urgency=medium

  * new upstream release
  * change my email in Uploaders field to josch@debian.org
  * bump Standards-Version to 3.9.6

 -- Johannes Schauer <josch@debian.org>  Wed, 29 Apr 2015 19:45:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,6 @@
 	cp _build/$(INDENTMAIN) $(DESTDIR)/usr/bin/ocp-indent
 	mkdir -p $(DESTDIR)/usr/share/emacs/site-lisp
 	cp tools/ocp-indent.el $(DESTDIR)/usr/share/emacs/site-lisp/ocp-indent.el
-	mkdir -p $(DESTDIR)/usr/share/vim/addons/syntax
-	cp tools/ocp-indent.vim $(DESTDIR)/usr/share/vim/addons/syntax/ocp-indent.vim
+	mkdir -p $(DESTDIR)/usr/share/ocp-indent/vim/indent
+	cp tools/ocp-indent.vim $(DESTDIR)/usr/share/ocp-indent/vim/indent/ocaml.vim
 	dh_auto_install -- -f Makefile.simple

## ocp-indent 1.5.2

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,9 @@
 
 .PHONY: man
 man: $(manpage)
-$(manpage): ocp-indent
+$(manpage): $(byte)
 	mkdir -p $(@D)
-	./ocp-indent --help=groff >$@
+	$(byte) --help=groff >$@
 
 bootstrap: ocp-indent
 	./ocp-indent -c match_clause=4 --inplace src/*.mli src/*.ml
@@ -44,9 +44,17 @@
 	rm -rf _build _obuild
 	rm -f configure Makefile.config config.* ocp-build.root* version.ocp
 
+install.sh: ocp-indent.install
+	opam-installer --prefix '$$1' $^ --script >$@
+	chmod a+x $@
+
+uninstall.sh: ocp-indent.install
+	opam-installer --prefix '$$1' $^ --script --uninstall >$@
+	chmod a+x $@
+
 .PHONY: install
-install: ocp-indent $(manpage)
-	opam-installer --prefix $(prefix) ocp-indent.install
+install: $(manpage) install.sh uninstall.sh
+	./install.sh $(prefix)
 	@echo
 	@echo
 	@echo "=== ocp-indent installed ==="
@@ -57,18 +65,16 @@
 	@if [ "$(prefix)" != "/usr" ]; then \
 	  echo "  (add-to-list 'load-path \"$(datarootdir)/emacs/site-lisp\")"; \
 	fi
-	@echo " (require 'ocp-indent)"
+	@echo "  (require 'ocp-indent)"
 	@echo
 	@echo "Vim users are welcome to add the following to their .vimrc :"
 	@echo
-	@echo "  ocaml source $(datarootdir)/vim/syntax/ocp-indent.vim"
+	@echo '  set rtp^="$(prefix)/share/ocp-indent/vim"'
 	@echo
 
 .PHONY: uninstall
-uninstall:
-	rm $(datarootdir)/emacs/site-lisp/ocp-indent.el
-	rm $(datarootdir)/vim/syntax/ocp-indent.vim
-	opam-installer --uninstall --prefix $(prefix) ocp-indent.install
+uninstall: uninstall.sh
+	./uninstall.sh $(prefix)
 
 .PHONY: test
 test: ocp-indent

=== debian/changelog ===
ocp-indent (1.5.2-2) unstable; urgency=medium

  * fix native compilation by using two separate ocamlfind calls instead of
    calling it multiple times (removing patch fix-Makefile.simple-install-cmx
    and amending fix-Makefile.simple-install-cmo-and-o)

 -- Johannes Schauer <josch@debian.org>  Sun, 31 Jan 2016 12:21:07 +0100

ocp-indent (1.5.2-1) unstable; urgency=medium

  * new upstream release
       - fixes compilation problems (closes: #812300)
  * remove patches that have been fixed upstream:
       - fix-Makefile.simple-syntax-error
       - let-Makefile.simple-respect-OCAML_HAVE_OCAMLOPT
       - remove-approx_common-from-Makefile.simple
  * install cmo and .o files into libocp-indent-lib-ocaml-dev
  * move logic for building and installing additional content from
    debian/rules to patches for Makefile.simple to allow upstreaming
    them:
       - fix-Makefile.simple-install-target
       - fix-Makefile.simple-libname
       - fix-Makefile.simple-install-ocp-indent-bin
       - fix-Makefile.simple-install-vim-emacs-indent
       - fix-Makefile.simple-clean-symlinks
       - fix-Makefile.simple-install-cmo-and-o
       - fix-Makefile.simple-install-cmx
  * add patch fixing spelling: fix-spelling

 -- Johannes Schauer <josch@debian.org>  Sun, 31 Jan 2016 10:52:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ocp-indent
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Johannes Schauer <j.schauer@email.de>
+Uploaders: Johannes Schauer <josch@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-ocaml,
@@ -9,7 +9,7 @@
  ocaml-nox,
  libcmdliner-ocaml-dev,
  libfindlib-ocaml-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: ocaml
 Homepage: http://www.typerex.org/ocp-indent.html
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocp-indent.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAML_HAVE_OCAMLOPT

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dh_auto_clean -- -f Makefile.simple

override_dh_auto_build:
	dh_auto_build -- -f Makefile.simple

# skip because requires source directory to be git repository
override_dh_auto_test:

override_dh_install:
	dh_install --fail-missing

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/emacs/site-lisp
	mkdir -p $(DESTDIR)/usr/share/ocp-indent/vim/indent
	dh_auto_install -- -f Makefile.simple

## ocp-indent 1.5.3

=== debian/changelog ===
ocp-indent (1.5.3-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:52:11 +0200

ocp-indent (1.5.3-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 13:59:22 +0200

ocp-indent (1.5.3-1) unstable; urgency=medium

  * new upstream release
  * Bump Standards-Version to 3.9.8 (no changes required)

 -- Johannes Schauer <josch@debian.org>  Wed, 12 Oct 2016 14:03:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  ocaml-findlib,
  ocaml-nox,
  libcmdliner-ocaml-dev,
+ ocamlbuild,
  libfindlib-ocaml-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: ocaml
 Homepage: http://www.typerex.org/ocp-indent.html
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocp-indent.git

## ocp-indent 1.6.1

=== Makefile ===
--- 
+++ 
@@ -36,11 +36,11 @@
 
 .PHONY: clean
 clean:
-	ocp-build -clean $(OCPBUILD_ARGS)
+	ocp-build clean $(OCPBUILD_ARGS)
 
 .PHONY: distclean
 distclean:
-	ocp-build -clean $(OCPBUILD_ARGS)
+	ocp-build clean $(OCPBUILD_ARGS)
 	rm -rf _build _obuild
 	rm -f configure Makefile.config config.* ocp-build.root* version.ocp

=== debian/changelog ===
ocp-indent (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1 (closes: #899079)
  * debian/patches/fix-spelling: refresh
  * debian/control: update Vcs-* fields for salsa
  * debian/copyright: use secure copyright format uri
  * debian/control: Bump Standards-Version (no changes required)
  * debian/patches: add patch descriptions
  * Bump debhelper compat level to 11
  * Add autopkgtests

 -- Johannes Schauer <josch@debian.org>  Mon, 21 May 2018 10:18:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Johannes Schauer <josch@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-ocaml,
  ocaml-findlib,
  ocaml-nox,
  libcmdliner-ocaml-dev,
  ocamlbuild,
  libfindlib-ocaml-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Section: ocaml
 Homepage: http://www.typerex.org/ocp-indent.html
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocp-indent.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocp-indent.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocp-indent
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocp-indent.git
 
 Package: ocp-indent
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,10 @@
 export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)
 export OCAML_HAVE_OCAMLOPT
 
+# without --no-parallel, ocamlbuild errors out because it cannot create the
+#_build directory as it already exists
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml --no-parallel
 
 override_dh_auto_clean:
 	dh_auto_clean -- -f Makefile.simple

## ocp-indent 1.7.0

=== debian/changelog ===
ocp-indent (1.7.0-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:33:28 +0000

ocp-indent (1.7.0-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with recent dune
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Aug 2019 08:27:49 +0200

ocp-indent (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
     - upstream changed their build system to dune
     - build and install with jbuilder instead of Makefile.simple
     - follow upstream and rename ocp-indent-lib to ocp-indent
     - remove ocamlbuild from Build-Depends
     - add appropriate Breaks and Replaces
     - remove m4/ocaml.m4 and configure from d/copyright (not shipped anymore)
     - Makefile.simple got removed -> remove all patches
     - do not export DESTDIR to not confused jbuilder
  * without ocamlbuild we do not need to pass --no-parallel to dh
  * use dh_missing --fail-missing instead of dh_install --fail-missing
  * Fix my name in Uploaders field

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 16 Dec 2018 17:57:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ocp-indent
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Johannes Schauer <josch@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Johannes 'josch' Schauer <josch@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-ocaml,
  ocaml-findlib,
  ocaml-nox,
+ ocaml-dune,
  libcmdliner-ocaml-dev,
- ocamlbuild,
- libfindlib-ocaml-dev
-Standards-Version: 4.1.4
+ libfindlib-ocaml-dev,
+Standards-Version: 4.4.0
 Section: ocaml
 Homepage: http://www.typerex.org/ocp-indent.html
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocp-indent
@@ -32,14 +33,15 @@
  .
  This package includes the runtime binary and the vim and emacs extensions.
 
-# redundant "lib" but we want to keep compatibility with upstream
-Package: libocp-indent-lib-ocaml
+Package: libocp-indent-ocaml
 Architecture: any
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
+Breaks: libocp-indent-lib-ocaml (<< 1.7.0)
+Replaces: libocp-indent-lib-ocaml (<< 1.7.0)
 Description: OCaml indentation tool for emacs and vim - libraries
  ocp-indent is a command-line tool that allows one to indent a whole OCaml
  source code file (or parts of it) either to standard output or in-place.
@@ -49,13 +51,15 @@
  .
  This package includes the shared libraries.
 
-Package: libocp-indent-lib-ocaml-dev
+Package: libocp-indent-ocaml-dev
 Architecture: any
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
+Breaks: libocp-indent-lib-ocaml-dev (<< 1.7.0)
+Replaces: libocp-indent-lib-ocaml-dev (<< 1.7.0)
 Description: OCaml indentation tool for emacs and vim - development libraries
  ocp-indent is a command-line tool that allows one to indent a whole OCaml
  source code file (or parts of it) either to standard output or in-place.

=== debian/rules ===
#!/usr/bin/make -f


DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	dune build -p ocp-indent --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose

override_dh_missing:
	dh_missing --fail-missing

## ocp-indent 1.8.2

=== debian/changelog ===
ocp-indent (1.8.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2020 09:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ocp-indent
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
- ocaml-findlib,
  ocaml-nox,
  ocaml-dune,
  libcmdliner-ocaml-dev,
  libfindlib-ocaml-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: http://www.typerex.org/ocp-indent.html
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocp-indent

=== debian/rules ===
#!/usr/bin/make -f


DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ocp-indent --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose

=== debian/watch ===
version=3
https://github.com/OCamlPro/ocp-indent/releases .*/(\d[\d\.]*)\.tar\.gz

## ocp-indent 1.9.0

=== debian/changelog ===
ocp-indent (1.9.0-3) unstable; urgency=medium

  * Run autopkgtest with umask 022

 -- Stéphane Glondu <glondu@debian.org>  Tue, 21 Oct 2025 15:20:03 +0200

ocp-indent (1.9.0-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Oct 2025 10:50:24 +0200

ocp-indent (1.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Thu, 16 Oct 2025 08:54:57 +0200

ocp-indent (1.8.2-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:19:29 +0200

ocp-indent (1.8.2-4) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 07:03:05 +0200

ocp-indent (1.8.2-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:27:19 +0200

ocp-indent (1.8.2-2) unstable; urgency=medium

  * Team upload.
  * Depend on libfindlib-ocaml for ocamlfind.conf (Closes: #1003323)
  * Switch d/watch to /tags

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Oct 2022 07:45:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml-nox,
+ dh-ocaml (>= 1.2),
+ ocaml,
  ocaml-dune,
  libcmdliner-ocaml-dev,
  libfindlib-ocaml-dev,
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: ocaml
-Homepage: http://www.typerex.org/ocp-indent.html
+Homepage: https://www.typerex.org/ocp-indent.html
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocp-indent
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocp-indent.git
 
@@ -21,7 +20,8 @@
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ libfindlib-ocaml,
 Provides: ${ocaml:Provides}
 Description: OCaml indentation tool for emacs and vim - runtime
  ocp-indent is a command-line tool that allows one to indent a whole OCaml

=== debian/tests/control ===
Tests: run-tests
Depends:
 ocaml-dune,
 @

=== debian/watch ===
Version: 5

Source: https://github.com/OCamlPro/ocp-indent/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
